## Name

gfrepcheck — control replica_check

## Synopsis

`gfrepcheck` [-P `path`] { start(or enable) | stop(or disable) | status }

`gfrepcheck` [-P `path`] { remove | reduced_log | remove_grace_used_space_ratio | remove_grace_time | host_down_thresh | sleep_time | minimum_interval } { `VALUE` | status }

## DESCRIPTION

Displays the current settings and modifies the settings for replica_check.

When "status" is specified as an argument, the current settings are displayed. "gfrepcheck status" displays not only the current setting but also the current status of processing.

When a value for the configuration directive is specified as an argument, the setting is dynamically changed. gfarm2.conf should be edited to persist the settings.

Please see the manual page of gfarm2.conf(5) for details of the following configuration directives.

gfrepcheck * : "replica_check" directive

gfrepcheck remove * : "replica_check_remove" directive

gfrepcheck reduced_log * : "replica_check_reduced_log" directive

gfrepcheck remove_grace_used_space_ratio * : "replica_check_remove_grace_used_space_ratio" directive

gfrepcheck remove_grace_time * : "replica_check_remove_grace_time" directive

gfrepcheck host_down_thresh * : "replica_check_host_down_thresh" directive

gfrepcheck sleep_time * : "replica_check_sleep_time" directive

gfrepcheck minimum_interval * : "replica_check_minimum_interval" directive

## OPTIONS

`-P` `path`

  This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

`-?`

  Prints usage.